package com.ruoyi.depart.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 组织机构对象 sys_depart
 * 
 * @author ruoyi
 * @date 2023-08-14
 */
public class SysDepart extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 父机构ID */
    @Excel(name = "父机构ID")
    private String parentId;

    /** 机构/部门名称 */
    @Excel(name = "机构/部门名称")
    private String departName;

    /** 英文名 */
    @Excel(name = "英文名")
    private String departNameEn;

    /** 缩写 */
    @Excel(name = "缩写")
    private String departNameAbbr;

    /** 排序 */
    @Excel(name = "排序")
    private Long departOrder;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 机构类别 1公司，2组织机构，2岗位 */
    @Excel(name = "机构类别 1公司，2组织机构，2岗位")
    private String orgCategory;

    /** 机构类型 1一级部门 2子部门 */
    @Excel(name = "机构类型 1一级部门 2子部门")
    private String orgType;

    /** 机构编码 */
    @Excel(name = "机构编码")
    private String orgCode;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobile;

    /** 传真 */
    @Excel(name = "传真")
    private String fax;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 备注 */
    @Excel(name = "备注")
    private String memo;

    /** 状态（1启用，0不启用） */
    @Excel(name = "状态", readConverterExp = "1=启用，0不启用")
    private String status;

    /** 删除状态（0，正常，1已删除） */
    private String delFlag;

    /** 对接企业微信的ID */
    @Excel(name = "对接企业微信的ID")
    private String qywxIdentifier;

    /** 0:设计部门,1:生产部门 */
    @Excel(name = "0:设计部门,1:生产部门")
    private Integer deptType;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setParentId(String parentId) 
    {
        this.parentId = parentId;
    }

    public String getParentId() 
    {
        return parentId;
    }
    public void setDepartName(String departName) 
    {
        this.departName = departName;
    }

    public String getDepartName() 
    {
        return departName;
    }
    public void setDepartNameEn(String departNameEn) 
    {
        this.departNameEn = departNameEn;
    }

    public String getDepartNameEn() 
    {
        return departNameEn;
    }
    public void setDepartNameAbbr(String departNameAbbr) 
    {
        this.departNameAbbr = departNameAbbr;
    }

    public String getDepartNameAbbr() 
    {
        return departNameAbbr;
    }
    public void setDepartOrder(Long departOrder) 
    {
        this.departOrder = departOrder;
    }

    public Long getDepartOrder() 
    {
        return departOrder;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setOrgCategory(String orgCategory) 
    {
        this.orgCategory = orgCategory;
    }

    public String getOrgCategory() 
    {
        return orgCategory;
    }
    public void setOrgType(String orgType) 
    {
        this.orgType = orgType;
    }

    public String getOrgType() 
    {
        return orgType;
    }
    public void setOrgCode(String orgCode) 
    {
        this.orgCode = orgCode;
    }

    public String getOrgCode() 
    {
        return orgCode;
    }
    public void setMobile(String mobile) 
    {
        this.mobile = mobile;
    }

    public String getMobile() 
    {
        return mobile;
    }
    public void setFax(String fax) 
    {
        this.fax = fax;
    }

    public String getFax() 
    {
        return fax;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setQywxIdentifier(String qywxIdentifier) 
    {
        this.qywxIdentifier = qywxIdentifier;
    }

    public String getQywxIdentifier() 
    {
        return qywxIdentifier;
    }
    public void setDeptType(Integer deptType) 
    {
        this.deptType = deptType;
    }

    public Integer getDeptType() 
    {
        return deptType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("departName", getDepartName())
            .append("departNameEn", getDepartNameEn())
            .append("departNameAbbr", getDepartNameAbbr())
            .append("departOrder", getDepartOrder())
            .append("description", getDescription())
            .append("orgCategory", getOrgCategory())
            .append("orgType", getOrgType())
            .append("orgCode", getOrgCode())
            .append("mobile", getMobile())
            .append("fax", getFax())
            .append("address", getAddress())
            .append("memo", getMemo())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("qywxIdentifier", getQywxIdentifier())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptType", getDeptType())
            .toString();
    }
}
